Name:           polkit-gnome
Version:        0.106
Release:        0.4.20170423gita0763a2
Summary:        A toolkit for defining and handling authorizations in gnome
License:        LGPLv2+
URL:            https://gitlab.gnome.org/Archive/policykit-gnome
Source0:        https://gitlab.gnome.org/Archive/policykit-gnome/-/archive/master/policykit-gnome-master-a0763a246a81188f60b0f9810143e49224dc752f.tar.gz

BuildRequires:  gtk3-devel glib2-devel >= 2.25.11 polkit-devel >= 0.97-1 intltool
BuildRequires:  gobject-introspection-devel gnome-common gtk-doc

Obsoletes:      PolicyKit-gnome <= 0.10
Provides:       PolicyKit-gnome = 0.11
Obsoletes:      PolicyKit-gnome-libs <= 0.10
Provides:       PolicyKit-gnome-libs = 0.11
Obsoletes:      polkit-gnome-devel < 0.102-2
Provides:       polkit-gnome-devel = 0.102-2
Obsoletes:      polkit-gnome-docs < 0.102-2
Provides:       polkit-gnome-docs = 0.102-2
Provides:       PolicyKit-authentication-agent = 0.106
Requires:       polkit >= 0.97

%description
Polkit is a toolkit for defining and handling authorizations.It is
used for allowing unprivileged processes to speak to privileged
processes.

%prep
%autosetup -n policykit-gnome-master-a0763a246a81188f60b0f9810143e49224dc752f -p1
./autogen.sh

%build
%configure
%make_build

%install
%make_install
%find_lang polkit-gnome-1

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files -f polkit-gnome-1.lang
%license COPYING
%doc AUTHORS README NEWS
%{_libexecdir}/*

%changelog
* Wed Jan  8 2020 sunguoshuai <sunguoshuai@huawei.com> - 0.106-0.4.20170423gita0763a2
- Delete unwanted files.

* Tue Dec 31 2019 sunguoshuai <sunguoshuai@huawei.com> - 0.106-0.4.20170423gita0763a2
- Init package.
